from eventAPI import *
from APIUtils import *

def fireEvent(e):
    if ((getTag(e, "lFlagS") & 0x100) == 0):
        return 1
    k = getTag(e, "kssCrypt")
    if ((k <= 20) or (k >= 50)):
        return 1
    elif (k == 28):
        setTag(e, "kssCrypt", 29)
    elif (k == 36):
        setTag(e, "kssCrypt", 37)
    elif (k == 44):
        setTag(e, "kssCrypt", 45)
    else:
        setTag(e, "kssCrypt", 21)
    return 1
